Index: connect/connect.ent
===================================================================
--- connect/connect.ent	(revision d197ba76c8081dcc599291585805d3d25d2aaeec)
+++ connect/connect.ent	(revision 050d775d303a15ccc058bbcb9c96f8619fd1b370)
@@ -13,5 +13,5 @@
 <!ENTITY % dhcpcd SYSTEM "dhcp/dhcpcd/dhcpcd.ent">
 %dhcpcd;
-<!ENTITY connect-dhcp-config SYSTEM "dhcp/config.xml">
+<!ENTITY connect-dhcp-bootscripts SYSTEM "dhcp/bootscripts.xml">
 
 <!-- Other -->
Index: connect/dhcp/bootscripts.xml
===================================================================
--- connect/dhcp/bootscripts.xml	(revision 050d775d303a15ccc058bbcb9c96f8619fd1b370)
+++ connect/dhcp/bootscripts.xml	(revision 050d775d303a15ccc058bbcb9c96f8619fd1b370)
@@ -0,0 +1,74 @@
+<sect1 id="dhcpclient" xreflabel="Configuring the LFS bootscripts to support DHCP clients">
+<?dbhtml filename="configdhcp.html" dir="connect"?>
+<title>Configuring the LFS bootscripts to support DHCP clients</title>
+
+<sect2><title>Config files</title>
+<para><userinput>/etc/sysconfig/network, 
+/etc/sysconfig/network-devices/ifup-eth0,
+/etc/sysconfig/network-devices/ifdown-eth0,
+/etc/sysconfig/networkdevices/ifconfig.eth0</userinput></para>
+</sect2>
+
+<sect2><title>Configuration Information</title>
+
+<para>Note that on this and the following pages, we 
+use <userinput>eth0</userinput> as the example interface.
+If you want to configure a different (or more than one) interface, simply 
+replace <userinput>eth0</userinput> with the interface you wish to use.</para>
+
+<para>These instructions will convert the configuration files from LFS
+(a static configuration) to a configuration using the DHCP protocol.  
+Note that static and DHCP-based interfaces can co-exist on a LFS system.  To
+do this, you should only make the alterations to those interfaces which 
+need to support DHCP.  All of the instructions on this page are applicable
+no matter which DHCP client you intend to use.</para>
+
+<para>If the interface you intend to use as your default gateway is going to 
+use DHCP, the first step is to remove the GATEWAY and GATEWAY_IF variables 
+from <filename>/etc/sysconfig/network</filename>.  This will only need to be
+done once.</para>
+
+<para><screen><userinput>cd /etc/sysconfig &amp;&amp;
+cp network network.bak &amp;&amp;
+sed "s/GATEWAY/# GATEWAY/" network.bak > network</userinput></screen></para>
+
+<para>You then need to create scripts which will override the default
+network scripts and provide DHCP support.  These two scripts are generic and
+so for use with both DHCP clients.  First, the
+<filename>ifup-eth0</filename> script:</para>
+
+<para><screen><userinput>cat &gt; ifup-eth0 &lt;&lt; "EOF" </userinput>
+#!/bin/sh
+
+source /etc/sysconfig/rc || exit
+source $rc_functions || exit
+source $network_devices/ifconfig.eth0 || exit
+
+echo "Bringing up the eth0 interface..."
+modprobe eth0
+loadproc $DHCP_PROG $DHCP_START
+<userinput>EOF</userinput></screen></para>
+
+<para>Then the <filename>ifdown-eth0</filename> script:</para>
+
+<para><screen><userinput>cat &gt; ifdown-eth0 &lt;&lt; "EOF" </userinput>
+#!/bin/sh
+
+source /etc/sysconfig/rc || exit
+source $rc_functions || exit
+source $network_devices/ifconfig.eth0 || exit
+
+echo "Bringing down the eth0 interface..."
+$DHCP_PROG $DHCP_STOP
+evaluate_retval
+<userinput>EOF</userinput></screen></para>
+
+<para>Finally, we need to make these scripts executable:</para>
+
+<para><screen><userinput>chmod 755 ifup-eth0 &amp;&amp;
+chmod 755 ifdown-eth0</userinput></screen></para>
+
+</sect2>
+
+</sect1>
+
Index: nnect/dhcp/config.xml
===================================================================
--- connect/dhcp/config.xml	(revision d197ba76c8081dcc599291585805d3d25d2aaeec)
+++ 	(revision )
@@ -1,87 +1,0 @@
-<sect1 id="dhcpclient" xreflabel="Configuring dhcp for a client">
-<?dbhtml filename="configdhcp.html" dir="connect"?>
-<title>Configuring dhcp for a client</title>
-
-<sect2><title>Config files</title>
-<para><userinput>/etc/sysconfig/network, 
-/etc/sysconfig/network-devices/ifup-eth0,
-/etc/sysconfig/network-devices/ifdown-eth0,
-/etc/sysconfig/networkdevices/ifconfig.eth0</userinput></para>
-</sect2>
-
-<sect2><title>Configuration Information</title>
-
-<para>Note that we use <userinput>eth0</userinput> as the interface
-throughout these instructions.  If you want to configure a different (or
-more than one) interface, simply replace <userinput>eth0</userinput>
-with the interface you wish to use.</para>
-
-<para>These instructions will convert the configuration files from LFS
-(a static configuration) to a DHCP configuration.  Note that static and
-DHCP interfaces can co-exist on a LFS system, only make the
-alterations to those interfaces which need to support DHCP.</para>
-
-<para>The first step is to remove the GATEWAY and GATEWAY_IF variables 
-from <filename>/etc/sysconfig/network</filename>.  This should only be done
-if the default interface you intend to use will be using DHCP and only
-needs to be done once; regardless of how many interfaces you are setting
-up.</para>
-
-<para><screen><userinput>cd /etc/sysconfig &amp;&amp;
-cp network network.bak &amp;&amp;
-sed "s/GATEWAY/# GATEWAY/" network.bak > network</userinput></screen></para>
-
-<para>Now you can create the appropriate <filename>ifconfig.eth0</filename> 
-file with the following commands (note that this will overwrite any
-existing file):</para>
-
-<para><screen><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
-cat &gt; ifconfig.eth0 &lt;&lt; "EOF"</userinput>
-ONBOOT=yes
-DHCP_PROG=&lt;path to dhcp&gt;
-DHCP_START=&lt;start parameters&gt;
-DHCP_STOP=&lt;stop parameter&gt;
-<userinput>EOF</userinput></screen></para>
-
-<para>Review the appropriate manpages for parameters; for example, the
-stop parameter for dhcpcd is '-k', while the stop parameter for dhclient
-is '-r'.</para>
-
-<para>You then need to create DHCP specific scripts.  First, the
-<filename>ifup-eth0</filename> script:</para>
-
-<para><screen><userinput>cat &gt; ifup-eth0 &lt;&lt; "EOF" </userinput>
-#!/bin/sh
-
-source /etc/sysconfig/rc || exit
-source $rc_functions || exit
-source $network_devices/ifconfig.eth0 || exit
-
-echo "Bringing up the eth0 interface..."
-modprobe eth0
-loadproc $DHCP_PROG $DHCP_START
-<userinput>EOF</userinput></screen></para>
-
-<para>Then the <filename>ifdown-eth0</filename> script:</para>
-
-<para><screen><userinput>cat &gt; ifdown-eth0 &lt;&lt; "EOF" </userinput>
-#!/bin/sh
-
-source /etc/sysconfig/rc || exit
-source $rc_functions || exit
-source $network_devices/ifconfig.eth0 || exit
-
-echo "Bringing down the eth0 interface..."
-$DHCP_PROG $DHCP_STOP
-evaluate_retval
-<userinput>EOF</userinput></screen></para>
-
-<para>Finally, we need to make these scripts executable:</para>
-
-<para><screen><userinput>chmod 755 ifup-eth0 &amp;&amp;
-chmod 755 ifdown-eth0</userinput></screen></para>
-
-</sect2>
-
-</sect1>
-
Index: connect/dhcp/dhcp-client.xml
===================================================================
--- connect/dhcp/dhcp-client.xml	(revision d197ba76c8081dcc599291585805d3d25d2aaeec)
+++ connect/dhcp/dhcp-client.xml	(revision 050d775d303a15ccc058bbcb9c96f8619fd1b370)
@@ -3,24 +3,38 @@
 <title>dhcp-&dhcp-version;</title>
 
-<para>The dhcp package comes with both a client and a server program for
-using DHCP.  If you want to install it, the instructions can be found
-at <xref linkend="dhcp"/>.  Note that if you only want to
-use the client, you do <emphasis>not</emphasis> need to run the server and
-so do not need the startup script and links provided for the server daemon.
-Note that to use the client, you still need to alter your
-<filename>ethnet</filename> script as described in the next section.
-You only need to run the DHCP server however, if you're providing this
+<para>The dhcp package comes with both a client (called dhcpcd) and a 
+server program for using DHCP.  If you want to install this package, 
+the instructions can be found at <xref linkend="dhcp"/>.  
+Note that if you only want to use the client, you 
+do <emphasis>not</emphasis> need to run the server and so do not need 
+the startup script and links provided for the server daemon.
+You only need to run the DHCP server if you're providing this
 service to a network, and it's likely that you'll know if that's the
-case; if it isn't, don't run the server!</para>
+case; if it isn't, don't run the server!  Once you have installed the
+package, return here for information on how to configure the client
+(dhcpcd).</para>
 
-<para>To configure the client, you need to modify the
-<filename>/etc/sysconfig/network-devices/ifconfig.eth0</filename> file
-(or the appropriate one for the interface you are running DHCP on)
-you created earlier by adding the appropriate <userinput>DHCP_PROG
-</userinput>, <userinput>DHCP_START</userinput> and
-<userinput>DHCP_STOP</userinput> values.</para>
+<para>To configure dhclient, you need to create two files,
+<filename>/etc/sysconfig/network-devices/ifconfig.eth0</filename> and
+<filename>/etc/dhclient.conf</filename>.</para>
 
-<para>Then create the <filename>/etc/dhclient.conf</filename> using the
-following command:</para>
+<para>Firstly, create the <filename>ifconfig.eth0</filename>
+file with the following commands (note that this will overwrite any
+existing file):</para>
+
+<para><screen><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
+cat &gt; ifconfig.eth0 &lt;&lt; "EOF"</userinput>
+ONBOOT=yes
+DHCP_PROG=/sbin/dhclient
+DHCP_START=&lt;appropriate start parameters&gt;
+DHCP_STOP=-r
+<userinput>EOF</userinput></screen></para>
+
+<para>For more information on the apppropriate 
+<userinput>DHCP_START</userinput> and <userinput>DHCP_STOP</userinput> 
+values, examine the man-page for dhclient.</para>
+
+<para>Secondly you should then create 
+the <filename>/etc/dhclient.conf</filename> using the following command:</para>
 
 <para><screen><userinput>cat &gt; /etc/dhclient.conf &lt;&lt; "EOF"</userinput>
Index: connect/dhcp/dhcp.xml
===================================================================
--- connect/dhcp/dhcp.xml	(revision d197ba76c8081dcc599291585805d3d25d2aaeec)
+++ connect/dhcp/dhcp.xml	(revision 050d775d303a15ccc058bbcb9c96f8619fd1b370)
@@ -11,11 +11,13 @@
 
 <para>We currently provide installation instructions for two DHCP
-clients, those from the dhcp and dhcpcd packages.  After we discuss
-installing the packages, we will also discuss how to
-configure your bootscripts to allow you to use dhcp as a client.</para>
+clients, dhclient (from the dhcp package) and dhcpcd.  We begin with a page
+which shows how to alter the LFS bootscripts for generic DHCP support.
+We then present the two sets of installation instructions which also discuss 
+how to create an appropriate configuration file to work with the 
+DHCP client of your choice.</para>
 
+&connect-dhcp-bootscripts;
 &connect-dhcp-client;
 &dhcpcd;
-&connect-dhcp-config;
 
 </chapter>
Index: connect/dhcp/dhcpcd/dhcpcd-config.xml
===================================================================
--- connect/dhcp/dhcpcd/dhcpcd-config.xml	(revision d197ba76c8081dcc599291585805d3d25d2aaeec)
+++ connect/dhcp/dhcpcd/dhcpcd-config.xml	(revision 050d775d303a15ccc058bbcb9c96f8619fd1b370)
@@ -7,10 +7,19 @@
 <sect3><title>Configuration Information</title>
 
-<para>To configure the client, you need to modify the
-<filename>/etc/sysconfig/network-devices/ifconfig.eth0</filename> file
-(or the appropriate one for the interface you are running DHCP on)
-you created earlier by adding the appropriate <userinput>DHCP_PROG
-</userinput>, <userinput>DHCP_START</userinput> and
-<userinput>DHCP_STOP</userinput> values.</para>
+<para>To configure dhcpcd, create the <filename>ifconfig.eth0</filename>
+file with the following commands (note that this will overwrite any
+existing file):</para>
+
+<para><screen><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
+cat &gt; ifconfig.eth0 &lt;&lt; "EOF"</userinput>
+ONBOOT=yes
+DHCP_PROG=/sbin/dhcpcd
+DHCP_START=&lt;appropriate start parameters&gt;
+DHCP_STOP=-k
+<userinput>EOF</userinput></screen></para>
+
+<para>For more information on the apppropriate
+<userinput>DHCP_START</userinput> and <userinput>DHCP_STOP</userinput>
+values, examine the man-page for dhcpcd.</para>
 
 </sect3>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d197ba76c8081dcc599291585805d3d25d2aaeec)
+++ introduction/welcome/changelog.xml	(revision 050d775d303a15ccc058bbcb9c96f8619fd1b370)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>October 4th, 2002 [markh]: Connect: Slight re-write of DHCP
+instructions to clarify them.</para></listitem>
 
 <listitem><para>October 4th, 2002 [markh]: Xsoft: Add dependency of "which"
